[Search tip detail and code files using keywords, tip number, author name, etc ]
 
Create Boundaries for Multiple Hatches at Once
Tip# 4282 By Cara Nash Snyder On 31-Mar-2014
0
Rated By 0 users
Categories : Boundaries
Software type : AutoCAD 2014
Rename File To : No Files to download.
Two ways to generate boundaries for multiple hatches.

Cara Nash Snyder sent this AutoCAD tip for creating multiple hatch boundaries.

If you select one hatch and right-click, you get the option to Generate Boundary, but if you select multiple hatches, you do not — unless you just did one, in which case Repeat Generate Boundary will appear in your right-click menu. So generate one, then you can select the rest and repeat.



Or you can just select all of the hatches and type in the command Hatchgenerateboundary (using AutoComplete, of course).    

Notes from Cadalyst tip reviewer R.K. McSwain: This is a helpful tip because of the different menu options that Cara points out, depending on the previous command. Although the type-in command is long, I would put it in a ribbon or toolbar button, and then I wouldn't have to worry about doing one and then doing the rest.
 

 

Average Rating:
0


User comments
Comment by Rizkallah,Raymond
Posted on 2014-04-01 07:57:08
I suggest the following code: (DEFUN C:RB () (setvar "osmode" 0) (setq ss1 (ssget '((0 . "HATCH")))) (setq len1 (sslength ss1) n1 0) (while (< n1 len1) (setq ename1 (ssname ss1 n1)) (COMMAND "HATCHEDIT" ename1 "B" "" "Y") (setq n1 (1+ n1)) ) ) ;end RB


Log In